Package org.apache.commons.imaging

# Class ImagingParameters<E extends ImagingParameters<E>>

java.lang.Object
org.apache.commons.imaging.ImagingParameters<E>

Type Parameters:
  `E` - This type

Direct Known Subclasses:
  `BmpImagingParameters`, `IcnsImagingParameters`, `IcoImagingParameters`, `PcxImagingParameters`, `PnmImagingParameters`, `PsdImagingParameters`, `RgbeImagingParameters`, `WbmpImagingParameters`, `XbmImagingParameters`, `XmpImagingParameters`, `XpmImagingParameters`

public class ImagingParameters<E extends ImagingParameters<E>> extends Object
Imaging parameters.

Contains parameters that are common to all formats. Implementations must include the specific parameters for each image format.

Since:
  1.0-alpha3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImagingParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `E`
  `asThis()`
  Returns this instance typed as the subclass type `E`.
  `BufferedImageFactory`
  `getBufferedImageFactory()`
  `String`
  `getFileName()`
  `PixelDensity`
  `getPixelDensity()`
  `boolean`
  `isStrict()`
  `E`
  `setBufferedImageFactory(BufferedImageFactory bufferedImageFactory)`
  `E`
  `setFileName(String fileName)`
  `E`
  `setPixelDensity(PixelDensity pixelDensity)`
  `E`
  `setStrict(boolean strict)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImagingParameters

    public ImagingParameters()

- ## Method Details

  - ### asThis

    public E asThis()
    Returns this instance typed as the subclass type `E`.

    This is the same as the expression:

         (B) this

    Returns:
      this instance typed as the subclass type `E`.

  - ### getBufferedImageFactory

    public BufferedImageFactory getBufferedImageFactory()

  - ### getFileName

    public String getFileName()

  - ### getPixelDensity

    public PixelDensity getPixelDensity()

  - ### isStrict

    public boolean isStrict()

  - ### setBufferedImageFactory

    public E setBufferedImageFactory(BufferedImageFactory bufferedImageFactory)

  - ### setFileName

    public E setFileName(String fileName)

  - ### setPixelDensity

    public E setPixelDensity(PixelDensity pixelDensity)

  - ### setStrict

    public E setStrict(boolean strict)